Summary:	Graphical frontend to libparted
Name:		gparted
Version:	1.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://gparted.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libparted)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	polkit
Requires:	polkit
Recommends:	dosfstools mtools

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to
libparted. Among other features it supports creating, resizing, moving
and copying of partitions. Also several (optional) filesystem tools provide
support for filesystems not included in libparted. These optional packages
will be detected at runtime and don't require a rebuild of GParted.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-libparted-dmraid --enable-online-resize --enable-xhost-root
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--add-category='GTK;HardwareSettings;Settings' \
	%{buildroot}%{_datadir}/applications/*.desktop

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_sbindir}/%{name}bin
%{_datadir}/appdata/gparted.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/*
%{_datadir}/polkit-1/actions/org.gnome.gparted.policy


%changelog
* Sun Jan 31 2021 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1674198
- new version: 1.2.0

* Thu Aug 20 2020 wally <wally> 1.1.0-3.mga8
+ Revision: 1616877
- add recommends for dosfstools and mtools

* Wed Feb 19 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1543559
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 kekepower <kekepower> 1.1.0-1.mga8
+ Revision: 1481910
- Update to version 1.1.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jun 30 2019 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1416492
- new version: 1.0.0 (upstream GTK3 port)

* Fri Mar 29 2019 wally <wally> 0.33.0-2.mga7
+ Revision: 1381040
- add patches from upstream to port to gtk3

* Thu Dec 13 2018 daviddavid <daviddavid> 0.33.0-1.mga7
+ Revision: 1341066
- new version: 0.33.0

* Thu Aug 23 2018 daviddavid <daviddavid> 0.32.0-1.mga7
+ Revision: 1253529
- new version: 0.32.0

* Mon Mar 19 2018 kekepower <kekepower> 0.31.0-1.mga7
+ Revision: 1210482
- Update to version 0.31.0

* Sun Mar 18 2018 wally <wally> 0.30.0-2.mga7
+ Revision: 1210283
- use upstream polkit policy file

* Sun Mar 18 2018 joequant <joequant> 0.30.0-1.mga7
+ Revision: 1210273
- fix spec for 0.30.0
+ daviddavid <daviddavid>
- new version: 0.30.0
- remove merged upstream patch
+ tv <tv>
- rebuild for new gtkmm-2.4

* Tue Aug 15 2017 daviddavid <daviddavid> 0.29.0-1.mga7
+ Revision: 1141064
- new version: 0.29.0

* Mon May 01 2017 ghibo <ghibo> 0.28.1-1.mga6
+ Revision: 1098194
- Update to release 0.28.1

* Wed Nov 09 2016 ghibo <ghibo> 0.27.0-1.mga6
+ Revision: 1066035
- Update to release 0.27.0

* Fri Aug 12 2016 daviddavid <daviddavid> 0.26.1-3.mga6
+ Revision: 1046012
- new version: 0.26.1
- switch more some BRs to pkgconfig()

* Mon Jun 13 2016 tv <tv> 0.26.0-2.mga6
+ Revision: 1021294
- update description
- enable dmraid support

* Sat Apr 30 2016 daviddavid <daviddavid> 0.26.0-1.mga6
+ Revision: 1007997
- new version: 0.26.0

* Thu Jan 21 2016 daviddavid <daviddavid> 0.25.0-1.mga6
+ Revision: 926199
- new version: 0.25.0
- build without forcing -std=gnu++11

* Wed Oct 28 2015 joequant <joequant> 0.24.0-1.mga6
+ Revision: 895964
- new version 0.24.0

* Sun Aug 23 2015 wally <wally> 0.23.0-1.mga6
+ Revision: 868812
- new version 0.23.0
- build using -std=gnu++11

* Fri Jul 03 2015 daviddavid <daviddavid> 0.22.0-1.mga6
+ Revision: 849687
- new version: 0.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.19.1-3.mga5
+ Revision: 739281
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.19.1-2.mga5
+ Revision: 679906
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 akien <akien> 0.19.1-1.mga5
+ Revision: 667115
- Version 0.19.1

* Wed Jun 11 2014 fwang <fwang> 0.19.0-1.mga5
+ Revision: 635568
- 0.19.0

* Fri May 23 2014 alexl <alexl> 0.18.0-3.mga5
+ Revision: 625183
- continue to fix run script (mga#13249)

* Sun May 11 2014 alexl <alexl> 0.18.0-2.mga5
+ Revision: 621883
- fix run script (mga#13249)

* Thu Feb 20 2014 fwang <fwang> 0.18.0-1.mga5
+ Revision: 595032
- update file list
- 0.18.0

* Tue Feb 18 2014 colin <colin> 0.16.2-3.mga5
+ Revision: 594292
- Convert to polkit for authorisation mga#11745

* Sat Oct 19 2013 umeabot <umeabot> 0.16.2-2.mga4
+ Revision: 535162
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.16.2-1.mga4
+ Revision: 481458
- new version 0.16.2

* Tue Jul 02 2013 dams <dams> 0.16.1-1.mga4
+ Revision: 449592
- new version 0.16.1

* Sat Jan 12 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 352516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.14.1-1.mga3
+ Revision: 330691
- new version 0.14.1

* Thu Oct 11 2012 fwang <fwang> 0.14.0-1.mga3
+ Revision: 304569
- new version 0.14.0

* Tue Aug 28 2012 tv <tv> 0.13.1-1.mga3
+ Revision: 284660
- new release

* Fri Aug 03 2012 fwang <fwang> 0.13.0-2.mga3
+ Revision: 278214
- rebuild for new gparted

* Sat Jul 14 2012 fwang <fwang> 0.13.0-1.mga3
+ Revision: 270696
- new version 0.13.0

* Mon Jun 04 2012 fwang <fwang> 0.12.1-1.mga3
+ Revision: 253862
- new version 0.12.1

* Wed Feb 22 2012 fwang <fwang> 0.12.0-1.mga2
+ Revision: 211810
- new version 0.12.0

* Wed Dec 14 2011 fwang <fwang> 0.11.0-1.mga2
+ Revision: 181532
- fix linkage
- new version 0.11.0

* Wed Nov 02 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 161233
- new version 0.10.0

* Tue Sep 20 2011 fwang <fwang> 0.9.1-1.mga2
+ Revision: 145905
- new version 0.9.1

* Tue Jul 19 2011 fwang <fwang> 0.9.0-1.mga2
+ Revision: 126187
- update file list
- new version 0.9.0

* Sat Jul 09 2011 dams <dams> 0.8.1-2.mga2
+ Revision: 120761
- add patch to build with parted3 (from fedora)
- enable libparted-dmraid

* Mon Jun 13 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 105632
- new version 0.8.1

* Sat Apr 02 2011 wally <wally> 0.8.0-1.mga1
+ Revision: 79862
- new version 0.8.0
- handle .omf files with lang list
- drop old mdv scriptlets
- drop buildroot definition
- clean .spec a bit
+ kharec <kharec>
- imported package gparted


* Tue Dec 14 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 621221
- new version 0.7.1
- drop old patch

* Sat Oct 30 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 590363
- update to new version 0.7.0

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 582325
- update to new version 0.6.4

* Fri Sep 24 2010 Funda Wang <fwang@mandriva.org> 0.6.3-1mdv2011.0
+ Revision: 580844
- update to new version 0.6.3

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 565009
- update to new version 0.6.2

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 550585
- update to new version 0.6.1

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 516978
- update to new version 0.5.2

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2010.1
+ Revision: 512200
- rebuild for new parted

* Tue Jan 26 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.1
+ Revision: 496497
- update to new version 0.5.1

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 0.5.0-4mdv2010.1
+ Revision: 482617
- rebuild for new parted

* Fri Dec 11 2009 Pascal Terjan <pterjan@mandriva.org> 0.5.0-3mdv2010.1
+ Revision: 476437
- Don't fork bomb...

* Fri Dec 11 2009 Pascal Terjan <pterjan@mandriva.org> 0.5.0-2mdv2010.1
+ Revision: 476426
- Fix launching from menu (#56336)

* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 474214
- use intltool
- new version 0.5.0

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.8-1mdv2010.1
+ Revision: 461954
- update to new version 0.4.8

* Fri Aug 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 411355
- update to new version 0.4.6

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 0.4.5-2mdv2010.0
+ Revision: 400621
- rebuild for new parted

* Fri May 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.5-1mdv2010.0
+ Revision: 373488
- update to new version 0.4.5

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 369838
- New version 0.4.4

* Thu Feb 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 339870
- update to new version 0.4.3

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 337903
- with gnome
- new version 0.4.2

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 327866
- New verison 0.4.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 308067
- fix file list
- new version 0.4.0

* Sat Sep 13 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.9-1mdv2009.0
+ Revision: 284549
- Add new BuildRequires gnome-doc-utils needed by new version
- Update to new version 0.3.9

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 237978
- New version 0.3.8

* Sat Jun 28 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 229729
- fix typo
- BR desktop-file-utils
- drop patch100, not needed any more
- drop patch0
- New version 0.3.7

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 194281
- update to new version 0.3.6

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5-2mdv2008.1
+ Revision: 170873
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 163471
- rediff patch100
- New version 0.3.5

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 0.3.3-6mdv2008.1
+ Revision: 146620
- sync with fedora's gparted
  (esp. for run-gparted which fixes hal locking issue: #34018)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0.3.3-5mdv2008.1
+ Revision: 102781
- fix menu location (bug#35097)

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 0.3.3-4mdv2008.1
+ Revision: 98168
- fix desktop file (bug#34749)

* Mon May 21 2007 Thierry Vignaud <tv@mandriva.org> 0.3.3-3mdv2008.0
+ Revision: 29326
- fix build
- rebuild with new parted library


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 0.3.3-2mdv2007.0
+ Revision: 113691
- rebuild for libparted-1.8.so.2

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
+ Revision: 104466
- Import gparted

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
- 0.3.3

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-6mdv2007.0
- make sure new libcariomm is actually installed and rebuild

* Sun Sep 03 2006 Emmanuel Andry <tvignaud@mandriva.com> 0.2.5-5mdv2007.0
- rebuild against new libcairomm

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.5-4mdv2007.0
- really rebuild against new libparted

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5-3mdv2007.0
- rebuild for new libparted

* Tue Jul 11 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-2mdv2007.0
- rebuild for new libparted
- remove parted as a requires
  don't know why previous editor felt it was needed
- xdg menu

* Wed May 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-1mdk
- 0.2.5
- move parted as Requires and not buildrequires

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.4-1mdk
- 0.2.4
- drop S2, use included logo

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdk
- rebuild for parted-1.6.24

* Thu Dec 23 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.8-1mdk
- 0.0.8, add an icon to the menu items

* Wed Nov 10 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.6-1mdk
- first Mandrakelinux release

